-- phpMyAdmin SQL Dump
-- version 4.2.11
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Erstellungszeit: 30. Jun 2015 um 07:25
-- Server Version: 5.6.21
-- PHP-Version: 5.6.3

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Datenbank: `muecke_0`
--
SET FOREIGN_KEY_CHECKS = 0;

DROP DATABASE IF EXISTS `muecke_0`;
CREATE DATABASE IF NOT EXISTS `muecke_0`
  CHARACTER SET utf8 COLLATE utf8_general_ci;
USE `muecke_0`;
-- -------------------------------------
-- Tables
-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `auftraege`
--

CREATE TABLE IF NOT EXISTS `auftraege` (
  `auftragsnr` int(11) NOT NULL,
  `auftragsdatum` date DEFAULT NULL,
  `kundennr` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `auftragspositionen`
--

CREATE TABLE IF NOT EXISTS `auftragspositionen` (
  `auftragsposnr` int(11) NOT NULL,
  `auftragsnr` int(11) NOT NULL,
  `posnr` int(11) DEFAULT NULL,
  `fertigerznr` int(11) NOT NULL,
  `menge` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `fertigerzeugnisse`
--

CREATE TABLE IF NOT EXISTS `fertigerzeugnisse` (
  `fertigerznr` int(11) NOT NULL,
  `bezeichnung` varchar(45) DEFAULT NULL,
  `lagerbestand` int(11) DEFAULT NULL,
  `herstellkosten` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `kunden`
--

CREATE TABLE IF NOT EXISTS `kunden` (
  `kundennr` int(11) NOT NULL,
  `firma` varchar(45) DEFAULT NULL,
  `strasse` varchar(45) DEFAULT NULL,
  `ortnr` int(11) NOT NULL,
  `telefon` varchar(45) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `orte`
--

CREATE TABLE IF NOT EXISTS `orte` (
  `ortnr` int(11) NOT NULL,
  `plz` varchar(5) DEFAULT NULL,
  `ort` varchar(45) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Indizes der exportierten Tabellen
--

--
-- Indizes für die Tabelle `auftraege`
--
ALTER TABLE `auftraege`
 ADD PRIMARY KEY (`auftragsnr`), ADD KEY `fk_auftraege_kunden1_idx` (`kundennr`);

--
-- Indizes für die Tabelle `auftragspositionen`
--
ALTER TABLE `auftragspositionen`
 ADD PRIMARY KEY (`auftragsposnr`), ADD KEY `fk_auftragspositionen_fertigerzeugnisse1_idx` (`fertigerznr`), ADD KEY `fk_auftragspositionen_auftraege1_idx` (`auftragsnr`);

--
-- Indizes für die Tabelle `fertigerzeugnisse`
--
ALTER TABLE `fertigerzeugnisse`
 ADD PRIMARY KEY (`fertigerznr`);

--
-- Indizes für die Tabelle `kunden`
--
ALTER TABLE `kunden`
 ADD PRIMARY KEY (`kundennr`), ADD KEY `fk_kunden_orte1_idx` (`ortnr`);

--
-- Indizes für die Tabelle `orte`
--
ALTER TABLE `orte`
 ADD PRIMARY KEY (`ortnr`);

--
-- Constraints der exportierten Tabellen
--

--
-- Constraints der Tabelle `auftraege`
--
ALTER TABLE `auftraege`
ADD CONSTRAINT `fk_auftraege_kunden1` FOREIGN KEY (`kundennr`) REFERENCES `kunden` (`kundennr`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints der Tabelle `auftragspositionen`
--
ALTER TABLE `auftragspositionen`
ADD CONSTRAINT `fk_auftragspositionen_auftraege1` FOREIGN KEY (`auftragsnr`) REFERENCES `auftraege` (`auftragsnr`) ON DELETE NO ACTION ON UPDATE NO ACTION,
ADD CONSTRAINT `fk_auftragspositionen_fertigerzeugnisse1` FOREIGN KEY (`fertigerznr`) REFERENCES `fertigerzeugnisse` (`fertigerznr`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints der Tabelle `kunden`
--
ALTER TABLE `kunden`
ADD CONSTRAINT `fk_kunden_orte1` FOREIGN KEY (`ortnr`) REFERENCES `orte` (`ortnr`) ON DELETE NO ACTION ON UPDATE NO ACTION;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
